{ config
, lib
, pkgs
, inputs
, ...
} @ args: {
  imports =
    let
      modulePath = [ "programs" "zen-browser" ];
      mkFirefoxModule = import "${inputs.home-manager}/modules/programs/firefox/mkFirefoxModule.nix";
    in
    [
      (mkFirefoxModule {
        inherit modulePath;
        name = "Zen Browser";
        wrappedPackageName = "zen-browser";
        visible = true;
        platforms.linux = rec {
          vendorPath = ".zen";
          configPath = "${vendorPath}";
        };
      })
    ];

  programs.zen-browser = (import ./_base.nix args) // { package = pkgs.my.zen-browser; };

  home.sessionVariables = {
    BROWSER = "${pkgs.my.zen-browser}/bin/zen-browser";
    MOZ_USE_XINPUT2 = "1";
    MOZ_ENABLE_WAYLAND = "1";
  };
}
